#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

#define ll long long
#define pb push_back
#define all(x) (x).begin(),(x).end()

vector<int> arr;
bool comp(int x, int y) {
    return arr[x] > arr[y];
}
std::vector<int> solve(std::vector<int> _arr) {
    arr = _arr;
    int n = arr.size(); vector<int> v;
    int l = 0, r = n - 1;
    while (l < r) {
        v.pb(l); v.pb(r); l++; r--;
    }
    
    if (l == r) v.pb(l);

    return v;
}

// int main () {
//     ios_base::sync_with_stdio(false);
//     cin.tie(NULL);
//     int t;
//     cin >> t ;
//     for (int test=1; test<=t; test++) {
//         int n;
//         cin >> n ;
//         vector <int> a(n);
//         for (int i=0; i<n; i++) {
//             cin >> a[i] ;
//         }

//         for (auto ind : solve(a)) {
//             cout << ind << " ";
//         }
//         cout << endl ;
//     }
//     cout << endl ;
//     return 0;
// }
